PETSc version 3.17.4
Fix/Edit manual page

# DMPlexMetricGetHausdorffNumber

Get the metric Hausdorff number

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricGetHausdorffNumber(DM dm, PetscReal *hausd)

### Input parameters

| dm | - The DM

### Output parameters

| hausd | - The metric Hausdorff number

### Notes

The Hausdorff number imposes the maximal distance between the piecewise linear approximation of the boundary and the reconstructed ideal boundary. Thus, a low Hausdorff parameter leads to refine the high curvature areas. By default, the Hausdorff value is set to 0.01, which is a suitable value for an object of size 1 in each direction. For smaller (resp. larger) objects, you may need to decrease (resp. increase) the Hausdorff parameter. (Taken from https://www.mmgtools.org/mmg-remesher-try-mmg/mmg-remesher-options/mmg-remesher-option-hausd).

This is only used by Mmg and ParMmg (not Pragmatic).

### See Also

DMPlexMetricGetGradationFactor(), DMPlexMetricSetHausdorffNumber()

### Level

beginner

### Location

src/dm/impls/plex/plexmetric.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages